/**
 * @(#)SVGRect.java
 * Copyright 2001 
 * @author  Intelligent Technology Inc.
 * @version 0.00 2001/08/14
 */
package jp.co.iti.fagot.xml;

/* java */

/* W3C DOM */
//import	org.w3c.dom.Element;
import	org.w3c.dom.Document;
//import	org.w3c.dom.Node;
//import	org.w3c.dom.NodeList;

/* fagot */
import	jp.co.iti.fagot.xml.SVGShape;

/**
 * SVGRect
 */
public class SVGRect	extends	SVGShape	implements	ISVG{
	/**
	 * コンストラクタ
	 * @param	String RootElementName ルートエレメント名("ProjrctUnit"等)
	 * @param	String SystemID        システムID("site.dtd"等)
	 * @return	none
//	 * @exception
//	 * @see
	 * @since	0.00
//	 * @deprecated 
	 * DOMツリーを新規に作成する
	 *   ・docフィールドに新規に作成したDOMツリーのDocumentを設定
	 *   ・rootフィールドに新規に作成したDOMツリーのDocumentの
	 *     ルートエレメントを設定
	 */
	public SVGRect(Document doc){
		super(doc ,RECT);
	}
	
	public SVGRect(Document doc	,String x ,String y ,String w ,String h ,String rx ,String ry ,SVGStyle style){
		this(doc);
		if(null!=x)		setAttribute(X		,x);
		if(null!=y)		setAttribute(Y		,y);
		if(null!=w)		setAttribute(WIDTH	,w);
		if(null!=h)		setAttribute(HEIGHT	,h);
		if(null!=rx)	setAttribute(RX		,rx);
		if(null!=ry)	setAttribute(RY		,ry);
		if(null!=style){
			setAttribute(STYLE	,style.toString());
			myStyle = new SVGStyle(style);
		}
	}
}